[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]

Re: Java and/or Jpackage on AMD64-FC3



On 12/15/2004 11:21:49 AM, Mercury Morris wrote:
I followed the article from the following link

http://mpeters.us/linux/j2sdk.php

and successfully got Java working on a 32-bit FC3 machine.

The success inspired me to try to get Java working on an AMD64-FC3
machine.  So I went back to the above article, this time starting
with the "1.5.0 version of the J2SDK", as the article advises.

I downloaded jdk-1_5_0-linux-amd64-rpm.bin and
jre-1_5_0-linux-amd64-rpm.bin.  Also retrieved
jpackage.asc and jpackage.repo, installed both.
After using yum to install jpackage-utils, I got
confused.  The article continues, saying to get
Sun's j2sdk-1_4_2_06-linux-i586-rpm.bin,
but the top of the article says to use 1.5.0.

So, I looked around Sun's website and found a
path to 1.5.0 and downloaded jdk-1_5_0-linux-amd64-rpm.bin.
Anticipating success at the end of all these steps, I next
used yum to install jedit, leaving as the last step,

yum install java-1.4.2-sun-compat


That's for 32-bit. I do not know if JPackage has a java-sun-compat for 1.5 SDK. It doesn't look like it.

You could try this:

http://www.jpackage.org/rpm.php?id=1291

I don't know for sure that will work with the amd64 j2sdk
You may have to modify the spec file, and maybe do some other things.



[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]